{
  "version":"0.1",
  "root_folder":"%filefolder%",
  "run_context":"sub",
  "name":"Shelter python scripts execution",
  "actions":[
    {
      "action":"run_actions_parallel",
      "args":{
        "actions":[
          {
            "action":"run_command_wait",
            "args":{
              "command_variables":true,
              "command":[
                "$PYTHON_EXE$",
                "checker/vmem_layout_check.py",
                "%rootcallerfolder%/shelter/lib/include/memory/vmem_layout.h"
              ],
              "show_output":"on_failure",
              "success_status":[
                0
              ],
              "ignore_success_status":false
            }
          },
          {
            "action":"save_command_content",
            "args":{
              "command_variables":true,
              "command":[
                "$PYTHON_EXE$",
                "generator/pez_alloc_free_payload_gen.py"
              ],
              "success_status":[
                0
              ],
              "ignore_success_status":true,
              "command_output_file_variables":true,
              "command_output_file":"%rootcallerfolder%/shelter/lib/include/kernel/tests/payloads/test_pez_payload.h"
            }
          },
          {
            "action":"save_command_content",
            "args":{
              "command_variables":true,
              "command":[
                "$PYTHON_EXE$",
                "generator/radix_tree_payload_gen.py"
              ],
              "success_status":[
                0
              ],
              "ignore_success_status":true,
              "command_output_file_variables":true,
              "command_output_file":"%rootcallerfolder%/shelter/lib/include/kernel/tests/payloads/test_radix_payload.h"
            }
          },
          {
            "action":"save_command_content",
            "args":{
              "command_variables":true,
              "command":[
                "$PYTHON_EXE$",
                "generator/malloc_payload_gen.py"
              ],
              "success_status":[
                0
              ],
              "ignore_success_status":true,
              "command_output_file_variables":true,
              "command_output_file":"%rootcallerfolder%/shelter/lib/include/kernel/tests/payloads/test_malloc_payload.h"
            }
          }
        ]
      }
    }
  ]
}
